Bug 83685 - uml_net executable allows users to do bad things
uml_net executable allows users to do bad things
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel-utils (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-06 21:33 EST by jonny robertson
Modified: 2007-04-18 12:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-07 13:18:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jonny robertson 2003-02-06 21:33:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.16-22smp i686; en-US; m18)
M$-Free/Gecko/20010110 Netscape6/6.5

Description of problem:
The uml_net binary that installs as part of the kernel-utils package in redhat 8
is setuid root.  

It can be crashed with a negative version number (doesn't look exploitable to
me), and can be used by local (unpriveleged) users to up/down certain
interfaces, add and remove arp entries and routes, and put interfaces in and out
of promiscuous mode.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Check eth0 is not in promisc mode
2. As a local user try 'uml_net 4 ethertap eth0 crap promisc'
3. Re-check step 1
    

Actual Results:  IF goes into promisc mode

Expected Results:  Permission denied?

Additional info:
Comment 1 Arjan van de Ven 2003-02-07 13:18:31 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-056.html

Note You need to log in before you can comment on or make changes to this bug.